霜天部落 | 专注PHP研发,研究LAMP高性能架构部署与优化

禁止WordPress插件升级

我一直在用simple tags插件,里面的相关文章功能还有用。最近这个插件提示我升级到2.0,我想升级后的功能更强大吧,于是就升级了。结果很杯具!发现simple tags插件的2.0版,去掉了很多的功能,连我最想用的相关文章都去掉了。无奈之下,又重新上传了原来的1.8版本。终于恢复原来的样子了,呵呵。

不过有个很烦人的问题,wordpress后台一直提示更新,包括插件更新和内核更新。网上搜到了一些办法,发现都是抄来抄去,没有新颖的方法。包括使用CSS隐藏提示,添加函数代码禁止升级提示,还有的删除提示代码。用这些方法都很难满意。

后来想到,作者在开发插件的时候,肯定会想到插件是否升级要判断当前版本和名称,要不然如何才能知道该升级了呢?呵呵。这样就好办了。我修改插件文件中的版本号为一个比较大的数,比如9.9,很少有插件会更新到9吧!最后索性把插件目录simple-tags改成simple-haha-tags,这样估计就更没法升级了。

保存,刷新后台,OK,不再提示升级!

总结一下屏蔽插件升级提示的最好方法:

1、修改插件文件中的版本号为比它目前最新的的版本号还大的一个数。

2、修改插件目录为一个其它的名字(会导致插件自动停用)